C+
C NAME:
C	ArrI4AddConstant
C PURPOSE:
C	Add a constant to an integer*4 array
C CALLING SEQUENCE:
	subroutine ArrI4AddConstant(N,A,R,C)
C CALLS:
C	BadI4
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer	A(*)
	    integer	R
	    integer	C(*)

	integer		BadI4

	iA = loc(A)
	iC = loc(C)
	if (iA .eq. IC .and. R .eq. 0.) return

	ibad = BadI4()
	call ArrayLoc2(iA,iC,abs(N),4,I1,I2,I3)

	do I=I1,I2,I3
	    if (N .lt. 0 .and. A(I) .eq. ibad) then
		C(I) = ibad
	    else
		C(I) = A(I)+R
	    end if
	end do

	return
	end
